Package com.norconex.commons.lang.bean.jackson

# Class JsonXmlCollectionModule.CollectionSerializerModifier

java.lang.Object
tools.jackson.databind.ser.ValueSerializerModifier
com.norconex.commons.lang.bean.jackson.JsonXmlCollectionModule.CollectionSerializerModifier

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `JsonXmlCollectionModule`

public static class JsonXmlCollectionModule.CollectionSerializerModifier extends tools.jackson.databind.ser.ValueSerializerModifier

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CollectionSerializerModifier()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `tools.jackson.databind.ValueSerializer<?>`
  `modifyCollectionSerializer(tools.jackson.databind.SerializationConfig config, tools.jackson.databind.type.CollectionType valueType, tools.jackson.databind.BeanDescription.Supplier beanDesc, tools.jackson.databind.ValueSerializer<?> serializer)`

  ### Methods inherited from class tools.jackson.databind.ser.ValueSerializerModifier

  `changeProperties, modifyArraySerializer, modifyCollectionLikeSerializer, modifyEnumSerializer, modifyKeySerializer, modifyMapLikeSerializer, modifyMapSerializer, modifySerializer, orderProperties, updateBuilder`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CollectionSerializerModifier

    public CollectionSerializerModifier()

- ## Method Details

  - ### modifyCollectionSerializer

    public tools.jackson.databind.ValueSerializer<?> modifyCollectionSerializer(tools.jackson.databind.SerializationConfig config, tools.jackson.databind.type.CollectionType valueType, tools.jackson.databind.BeanDescription.Supplier beanDesc, tools.jackson.databind.ValueSerializer<?> serializer)
    Overrides:
      `modifyCollectionSerializer` in class `tools.jackson.databind.ser.ValueSerializerModifier`